function [Frame] = grabplot3d_2(X1,Y1,X2,Y2,xmin, xmax, ymin, ymax)
% Function grabplot saves frame of current state for animation
    
 [a1,b1,c1] = cylinder(X1); 
 [a2,b2,c2] = cylinder(X2);
 n1 = length(Y1);
 n2 = length(Y2);
 for i = 1:n1
    c1(i,:)=Y1(i);
 end
 
 for j = 1:n2
    c2(j,:)=Y2(j);
 end
 figure(1);
 a = [a1 ; a2];
 b = [b1 ; b2];
 c = [c1 ;c2];
 surf(a,b,c,'FaceColor','interp',...
     'EdgeColor','none','FaceLighting','phong');
 axis ([xmin xmax xmin xmax 0 ymax]);
 view(-50,10)
camlight left
Frame = getframe(gcf);
end